[% setvar title Perl 6 Documentation %]

[% menu nav docs %]

<div id="subpage-header">
    [% include camelia %]

    <h2>[% readvar title %]</h2>
    <p>
        Much of this documentation is incomplete - please consider
        contributing to improve it.
    </p>
</div>

<div id="col1">
    <ul>
        <li><a href="http://perlgeek.de/en/article/5-to-6">Perl&nbsp;5 to 6</a>,
            introduction for Perl 5 programmers</li>
        <li><a href="http://www.perlfoundation.org/perl6/index.cgi?perl_6_tablets">Perl Tablets</a>, a hypertext Perl&nbsp;6 compendium with lots of appendices</li>
        <li><a href="http://www.ozonehouse.com/mark/periodic/">Periodic table</a> of Perl&nbsp;6 operators</li>
        <li><a href="http://en.wikibooks.org/wiki/Perl_6_Programming">"Perl&nbsp;6 Programming"</a> on Wikibooks</li>
        <li><a href="http://search.cpan.org/~lichtkind/Perl6-Doc/lib/Perl6/Doc.pm">Perl6::Doc</a>, learn about Perl&nbsp;6 in your shell via perldoc</li>
        <li><a href="http://github.com/perl6/perl6-examples">perl6-examples</a>, lots of example programs written in Perl&nbsp;6</li>
        <li><a href="http://rosettacode.org/wiki/Category:Perl_6">Rosetta Code</a>, programming problems solved in Perl&nbsp;6 side-by-side with hundreds of other languages</li>
        <li><a href="http://svn.pugscode.org/pugs/docs/Perl6/Cheatsheet/cheatsheet.txt">Perl 6 Cheat
            Sheet</a></li>
        <li><a href="http://svn.pugscode.org/pugs/docs/u4x/">u4x</a>, User-level documentation for Christmas</li>
    </ul>
</div>

<div id="col2">
    <ul>
        <li><a href="http://github.com/hinrik/grok/">Grok</a>, a Perl 6
            documentation reader</li>
        <li><a href="http://github.com/perlpilot/perl6-docs">Perl 6
            tutorials</a></li>
        <li><a href="http://szabgab.com/">szabgab</a>'s <a href="http://szabgab.com/perl6.html">Perl 6 Training Course
            material</a> and <a href="http://szabgab.com/perl6_tricks_and_treats.html">some general tips</a></li>.
    </ul>
    <h4>Books & Other Print Publications</h4>
    <ul>
        <li><a href="http://github.com/perl6/book">Using Perl 6 (Onyx Neon
            Press book)</a> (in progress - <a href="http://cloud.github.com/downloads/perl6/book/book-2010-06.pdf">2010-06 preview</a>)</li>
        <li><a href="http://oreilly.com/catalog/9780596007379">Perl 6 and Parrot Essentials, Second Edition</a> (O'Reilly book) (2004)</li>
        <li><a href="http://www.apress.com/book/view/1590593952">Perl 6 Now: The Core Ideas Illustrated with Perl 5</a> (Apress book) (2004)</li>
        <li><a href="http://www.learningperl6.com/">Learning Perl 6</a> (O'Reilly book) (in progress)</li>
        <li><a href="#">Programming Perl 6</a> (O'Reilly book) (in progress)</li>
    </ul>
</div>
